# View Foundset DataSources

## Overview

The View Foundset DataSource represents a custom table, which instead of coming from a database exists just as a definition. The data in this table will be loaded at runtime.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                       | Summary                                                                              |
| --------------------------------------------- | ------------------------------------------------------------------------------------ |
| [Edit table/view](#edit-table-view)           | Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) |
| [Delete View Foundset](#delete-view-foundset) | Deletes View Foundset definition                                                     |
| [Rename View Foundset](#rename-view-foundset) | Renames View Foundset definition                                                     |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit table/view

Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) to edit the View Foundset table and its associated column information (metadata stored by Servoy Developer).

### Delete View Foundset

Deletes View Foundset definition.

### Rename View Foundset

Renames the View Foundset definition (table).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/viewfoundsets-datasource/viewfoundset-datasource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
